id: 7
createtime: 2023-08-16T09:34:03.781099772Z
name: tackletestApp_binary_test-app-amet114.11.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: true
        diva: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=cloud-readiness
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnown: false
    sources: []
    tagger:
        enabled: true
    targets: []
application:
    id: 11
    name: tackletestApp_binary_test-app-amet114
state: Failed
image: quay.io/konveyor/tackle2-addon-analyzer:latest
pod: konveyor-tackle/task-7-rhs9d
started: 2023-08-16T09:34:04.305524569Z
terminated: 2023-08-16T12:57:21.0666493Z
bucket:
    id: 19
    name: ""
errors:
    - severity: Error
      description: exit status 1
    - severity: Error
      description: 'Pod failed: '
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] succeeded.'
    - '[SSH] Agent started.'
    - '[MVN] Fetch artifact io.konveyor.demo:customers-tomcat:0.0.1-SNAPSHOT:war.'
    - '[MVN] Using credentials (id=4) YExLKS.'
    - '[FILE] Created /addon/settings.xml.'
    - '[CMD] Running: /usr/bin/mvn dependency:copy -Dartifact=io.konveyor.demo:customers-tomcat:0.0.1-SNAPSHOT:war -Dmdep.useBaseVersion=true -DoutputDirectory=/addon/bin/maven -Dmaven.repo.local=/cache/m2 -s /addon/settings.xml'
    - '[CMD] succeeded.'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=18 (openshift)'
    - '[RULESET] fetching (dep): id=22 (.technology-usage)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/bin/maven/customers-tomcat-0.0.1-SNAPSHOT.war'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/bin/maven/customers-tomcat-0.0.1-SNAPSHOT.war'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core-1.0.0-SNAPSHOT.jar'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/bin/maven/customers-tomcat-0.0.1-SNAPSHOT.war'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/18/rules --rules /addon/rules/rulesets/22/rules --rules /addon/rules/converted --label-selector (phase=PostMigrationRulesPhase||(konveyor.io/source&&(konveyor.io/target=cloud-readiness||konveyor.io/target)))'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/bin/konveyor-analyzer-dep failed: exit status 1.'
    - '> time="2023-08-16T12:56:14Z" level=error msg="grpc unable to get info" error="rpc error: code = Unavailable desc = connection error: desc = \"transport: Error while dialing: dial tcp [::1]:42695: connect: connection refused\"" provider=grpc'
    - '> deleting request keydeleting request keytime="2023-08-16T12:56:57Z" level=error msg="failed to get list of dependencies for provider" error="exit status 1" provider=go'
    - '> time="2023-08-16T12:57:17Z" level=error msg="failed to get list of dependencies for provider" error="open /addon/pom.xml: no such file or directory" provider=java'
    - '> time="2023-08-16T12:57:17Z" level=info msg="provider does not have dependency capability" provider=builtin'
    - '> time="2023-08-16T12:57:17Z" level=info msg="failed to get dependencies from all given providers"'
    - '> '
